classification
Title: Scarce msilib documentation
Type: Stage: resolved
Components: Documentation Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, docs@python, eric.araujo, georg.brandl, janssen, loewis, sjoerd, terry.reedy
Priority: normal Keywords:

Created on 2008-06-27 14:37 by sjoerd, last changed 2016-08-05 22:45 by berker.peksag. This issue is now closed.

Messages (8)
msg68831 - (view) Author: Sjoerd Mullender (sjoerd) * (Python committer) Date: 2008-06-27 14:37
There are several errors in the msilib documentation.  I'm sure I
haven't found them all, but here are some:

- add_data is documented to have two arguments.  In reality it has three.
- Execute on a View object is documented to have an optional argument. 
In reality it has a single required argument whose value may be None.
- When I click on any of the references to Microsoft documentation, I
get a page in Japanese.  This is possibly more due to Microsoft than
anything else (the links do contain en-us so it is a tad surprising).
- There is extremely little information on how to actually use the module.
msg69001 - (view) Author: Sjoerd Mullender (sjoerd) * (Python committer) Date: 2008-06-30 10:55
Today the links to Microsoft documentation go to English language pages,
so that part of the bug report can be skipped.
msg69067 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-07-01 20:19
Fixed the Execute parameter in r64630. add_data was already fixed.

Assigning to Martin; if someone is to write usage info, it's got to be him.
msg70064 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-07-20 07:41
As for "how to use the module": what do you want to use the module for,
and what kind of information would you need for that?
msg104376 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2010-04-27 22:43
Here's another one:

class Directory shows an extra arg, "component", which isn't in the code.
msg112875 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-04 19:53
Martin cannot write anything until someone answers his question. In the meanwhile, any doc person could, as suggested by Bill, change

class msilib.Directory(database, cab, basedir, physical, logical, default, component[, componentflags]) 

to

class msilib.Directory(database, cab, basedir, physical, logical, default[, componentflags]) 

'conponent' is neither in the doc string or the explanation of the signature.
msg124661 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-12-26 02:41
Nonexistent parameter removed from the doc in r87489 and following.
msg272068 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-08-05 22:45
All obvious bugs have already been fixed.
History
Date User Action Args
2016-08-05 22:45:56berker.peksagsetstatus: open -> closed

nosy: + berker.peksag
messages: + msg272068

resolution: fixed
stage: resolved
2011-06-18 18:12:43r.david.murraysetkeywords: - patch, easy
2010-12-26 02:41:54eric.araujosetnosy: + eric.araujo
messages: + msg124661
2010-08-04 19:53:13terry.reedysetassignee: loewis -> docs@python
versions: + Python 3.2, - Python 2.5
keywords: + patch, easy
nosy: + terry.reedy, docs@python

messages: + msg112875
resolution: fixed -> (no value)
2010-04-27 22:43:47janssensetnosy: + janssen
messages: + msg104376
2008-07-20 07:41:35loewissetmessages: + msg70064
2008-07-01 20:19:07georg.brandlsetassignee: georg.brandl -> loewis
resolution: fixed
messages: + msg69067
nosy: + loewis
title: errors in msilib documentation -> Scarce msilib documentation
2008-06-30 10:55:53sjoerdsetmessages: + msg69001
2008-06-27 14:37:49sjoerdcreate